Bug 1753183 - Blank space where an image should be in final setup step
Summary: Blank space where an image should be in final setup step
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-initial-setup
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kalev Lember
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-18 10:56 UTC by Allan Day
Modified: 2019-09-22 01:22 UTC (History)
4 users (show)

Fixed In Version: librsvg2-2.46.0-2.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-22 01:22:04 UTC


Attachments (Terms of Use)
screenshot (257.53 KB, image/png)
2019-09-18 10:56 UTC, Allan Day
no flags Details

Description Allan Day 2019-09-18 10:56:57 UTC
Created attachment 1616182 [details]
screenshot

Description of problem:

In the final step of initial setup, there's a heading which says "You're ready to go". There's a space above this for an image, but this is missing, resulting in a blank space.

Steps to Reproduce:
1. Install Fedora 31
2. Run through initial setup, until you get to the final step

Actual results:

There's a blank space.

Expected results:

There should be an image.

Additional info:

In previous versions, we've used a tick stencil, with a photo in the background. As far as I can tell, this is still the correct graphic. It's what's present in the upstream repo, at least: https://gitlab.gnome.org/GNOME/gnome-initial-setup/blob/master/gnome-initial-setup/pages/summary/ready-to-go.svg

Comment 1 Kalev Lember 2019-09-18 11:34:07 UTC
This appears to be a librsvg regression. I've filed https://gitlab.gnome.org/GNOME/librsvg/issues/506 for this.

Comment 2 Allan Day 2019-09-18 13:04:29 UTC
If the librsvg issue isn't fixed in time, we could potentially use a PNG rather than an SVG.

Comment 3 Kalev Lember 2019-09-20 05:14:02 UTC
Should be fixed in librsvg2-2.46.0-2.fc31

Comment 4 Fedora Update System 2019-09-20 05:43:15 UTC
FEDORA-2019-5435e4add6 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-5435e4add6

Comment 5 Fedora Update System 2019-09-20 07:50:22 UTC
FEDORA-2019-5435e4add6 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-5435e4add6

Comment 6 Fedora Update System 2019-09-21 02:00:36 UTC
librsvg2-2.46.0-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-5435e4add6

Comment 7 Fedora Update System 2019-09-22 01:22:04 UTC
librsvg2-2.46.0-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.